Articles in this section
Category / Section

How to Import SVG Files in JavaScript Diagram?

2 mins read

This article provides an explanation of how to import SVG files in Syncfusion® JavaScript Diagram. The example demonstrates how to add a button to facilitate importing an image from the local system. When the button is clicked, it triggers a file selection dialog that allows users to choose an image from their local storage.

Include the file input element in your HTML, configured to accept only SVG file types:

<input type="file" id="fileupload" accept="image/svg+xml" /> 

Once an image is selected, the application processes the file upload. Then the onFileChange method is invoked to handle the upload and add the SVG file as a node to the diagram. The following code demonstrates how to import SVG files into a diagram:

// Function to import SVG file to diagram
document.getElementById('fileupload').onchange = function (args) {
 var file = args.target.files[0];
 if (file) {
   // Create a new FileReader to read the content
   var reader = new FileReader();

   // Define a callback function to execute when the file reading is complete
   reader.onload = function (event) {
     var svgContent = event.target.result;

     // Define the SVG node 
     var svgNode = {
       id: 'svgNode',
       offsetX: 250, offsetY: 250,
       width: 200, height: 200,
       shape: {
         type: 'Native',
         content: svgContent, // Set SVG content
       },
     };

     // Add the SVG node to the diagram
     diagram.add(svgNode);
   };
   reader.readAsText(file);
 }
};

You can find a working example of this implementation in the provided sample on StackBlitz.

Sample - Click here for sample

Conclusion

I hope you enjoyed learning about how to import SVG files in JavaScript Diagram.

You can refer to our JavaScript Diagram feature tour page to know about its other groundbreaking feature representations and documentation, and how to quickly get started for configuration specifications.

You can also explore our JavaScript Diagram example to understand how to create and manipulate data. For current customers, you can check out our components from the License and Downloads page. If you are new to Syncfusion®, you can try our 30-day free trial to check out our other controls. If you have any queries or require clarifications, please let us know in the comments section below. You can also contact us through our support forums, Direct-Trac, or feedback portal. We are always happy to assist you!

Did you find this information helpful?
Yes
No
Help us improve this page
Please provide feedback or comments
Comments (0)
Please  to leave a comment
Access denied
Access denied

Articles in this section
Category / Section

How to Import SVG Files in Vue Diagram?

2 mins read

This article provides an explanation of how to import SVG files in Syncfusion® Vue Diagram. The example demonstrates how to add a button to facilitate importing an image from the local system. When the button is clicked, it triggers a file selection dialog that allows users to choose an image from their local storage.

Include the file input element in your HTML, configured to accept only SVG file types:

<template>
 <div style="margin-top: 100px">
   <input type="file" id="fileUpload" @change="onFileChange" accept="image/svg+xml" />
   <ejs-diagram id="diagram" ref="diagramObj" :width="width" :height="height"></ejs-diagram>
 </div>
</template> 

Once an image is selected, the application processes the file upload. Then onFileChange method is invoked to handle the upload and add the SVG file as a node to the diagram. The following code, demonstrates how to import SVG files into diagram:

// Function to import SVG file into the diagram
onFileChange(args) {
 const file = args.target.files[0];
 if (file) {
   // Create a new FileReader to read the content
   const reader = new FileReader();

   // Define a callback function to execute when the file reading is complete
   reader.onload = (event) => {
     const svgContent = event.target.result;

     // Define the SVG node
     const svgNode = {
       id: 'svgNode',
       offsetX: 250, offsetY: 250,
       width: 200, height: 200,
       shape: {
         type: 'Native',
         content: svgContent, // Set SVG content
       },
     };
     // Add the SVG node to the diagram
     diagramInstance.add(svgNode);
   };
   reader.readAsText(file);
 }
}, 

You can find a working example of this implementation in the provided sample on StackBlitz.

Sample - Click here for sample

Conclusion

I hope you enjoyed learning about how to import SVG files in Vue Diagram.

You can refer to our Vue Diagram feature tour page to learn about its other groundbreaking feature representations and documentation, and how to quickly get started with configuration specifications.

You can also explore our Vue Diagram example to understand how to create and manipulate data. For current customers, you can check out our components from the License and Downloads page. If you are new to Syncfusion®, you can try our 30-day free trial to check out our other controls.

If you have any queries or require clarifications, please let us know in the comments section below. You can also contact us through our support forums, Direct-Trac, or feedback portal. We are always happy to assist you!

Did you find this information helpful?
Yes
No
Help us improve this page
Please provide feedback or comments
Comments (0)
Please  to leave a comment
Access denied
Access denied